Skip Menu |
 

This queue is for tickets about the CPANPLUS CPAN distribution.

Report information
The Basics
Id: 47818
Status: new
Priority: 0/
Queue: CPANPLUS

People
Owner: Nobody in particular
Requestors: csjewell [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.87_03
Fixed in: (no value)



Subject: CPANPLUS does not allow Build.PL interactivity - but does not tell it so.
Download (untitled) / with headers
text/plain 2.7k
OK. I'm setting up a virtual machine, installed Strawberry Perl July 2009 Beta 3 (so I can build a Bootstrap build for the final release) ---------------- C:\Documents and Settings\Administrator\Desktop\Perl-Dist-WiX>cpanp install . Installing Perl::Dist::WiX () [MSG] No 'C:\cpanplus\custom-sources' dir, skipping custom sources Running [C:\strawberry\perl\bin\perl.exe C:\strawberry\perl\bin\cpanp- run-perl C :\DOCUME~1\ADMINI~1\Desktop\PERL-D~1\Makefile.PL]... Do you want to install the minimal minicpan script? [n] y Warning: prerequisite Alien::WiX 0.300000 not found. Warning: prerequisite CPAN::Mini 0.576 not found. Warning: prerequisite CPAN::Mini::Devel 0.03 not found. Warning: prerequisite Data::Dump::Streamer 2.08 not found. Warning: prerequisite Data::UUID 1.149 not found. Warning: prerequisite Devel::StackTrace 1.20 not found. Warning: prerequisite Exception::Class 1.22 not found. Warning: prerequisite File::List::Object 0.189 not found. Warning: prerequisite File::ShareDir 1.00 not found. Warning: prerequisite List::MoreUtils 0.07 not found. Warning: prerequisite Object::InsideOut 3.53 not found. Warning: prerequisite Perl::Dist 1.16 not found. Warning: prerequisite Process 0.26 not found. Warning: prerequisite Readonly 1.03 not found. Warning: prerequisite Test::Output 0.11 not found. Warning: prerequisite Test::UseAllModules 0.09 not found. Writing Makefile for Perl::Dist::WiX <hangs for 5 minutes... ctrl-C pressed> [ERROR] Build.PL failed: [ERROR] Unable to create a new distribution object for 'Alien::WiX' -- cannot co ntinue [ERROR] Failed to install 'Alien::WiX' as prerequisite for 'Perl::Dist::WiX' [ERROR] Unable to satisfy prerequisites for 'Perl::Dist::WiX' -- aborting instal l [ERROR] Unable to create a new distribution object for 'Perl::Dist::WiX' -- cann ot continue *** Install log written to: C:\cpanplus\install-logs\Perl-Dist-WiX--1247456497.log Error installing 'Perl::Dist::WiX' Problem installing one or more modules Terminate batch job (Y/N)? y ---------------- Alien::WiX is interactive (it needs to ask a question) if either the appropriate version of WiX, or a 2.0 or greater version of the .NET Framework, is not installed (it asks, with appropriate defaults, if you want those packages installed) at perl Build.PL time. I had installed WiX, but not the .NET Framework at this point. Apparently, it's hiding the prompt, and not letting me see the questions. (hitting enter would have let me continue, but that's not always a safe option... which is why I ask the question.) C:\Documents and Settings\Administrator>perl -MCPANPLUS::Dist::Build - e "print $ CPANPLUS::Dist::Build::VERSION" 0.34 C:\Documents and Settings\Administrator>perl -MCPANPLUS -e "print $CPANPLUS::VER SION" 0.87_03 --Curtis


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.